"Description: 
An install script for SmallInterfaces 2.0.0.
Edit settings and file-in.

Copyright (C) 2000-2001 Masashi Umezawa

"!

| dir guiInstall ansiInstall fullPath core |

"settings -  edit if you like"
dir := 'SmallInterfaces2.0.0'.
guiInstall := true.
ansiInstall := false.

"install main - edit if you like"
fullPath := FileDirectory default fullNameFor: dir.

"for 2.8"
core := #(
'SmallInterfaces Squeak Util.st'
'SmallInterfaces Squeak2.8 SysChanges.cs'
'SmallInterfaces.st'
'SmallInterfaces Squeak2.8 DirtyFix.cs'
).

"for 2.7"
"core := #(
'SmallInterfaces Squeak Util.st'
'SmallInterfaces Squeak SysChanges.cs'
'SmallInterfaces.st'
)."

core do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].

guiInstall ifTrue:[ | gui |
gui := #(
'SmallInterfaces Squeak GUI.st'
).
gui do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

ansiInstall ifTrue:[ | ansi |
ansi := #(
'ANSI Interfaces.st'
).
ansi do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].
! 

"end of script"!
